Bug 56398 - CD palyer plays only one track
CD palyer plays only one track
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-16 14:22 EST by Steve Coile
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Coile 2001-11-16 14:22:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
The CD player will play only a single track.

Version-Release number of selected component (if applicable):
gnome-applets-1.4.0.1-6
magicdev-0.3.6-2

How reproducible:
Always

Steps to Reproduce:
1.Insert music CD into CD player, music starts automatically;
2.OR press "play" on CD player applet;
3.OR press "play" on gtcd utility.

Actual Results:  Music stops playing after completion of one track.

Expected Results:  Music continues to play until end of CD is reached or
until "stop" button is pressed.

Additional info:

System is a Dell GX1, Pentium III, 256 MB RAM.  Fresh workstation install,
few preference changes.  All updates applied.
Comment 1 Steve Coile 2001-11-16 14:32:35 EST
Perhaps significant, I configured the automounter (autofs) to use /etc/auto.misc
by uncommenting the line in /etc/auto.master.  Perhaps too many things are
monitoring the CD-ROM drive?  If so, perhaps a comment discouraging use of both
automounter and magicdev should be added to /etc/auto.master.

GNOME sound startup at login is enabled.

CD player worked properly/as expected under RHL 6.2, 7.0, and 7.1.
Comment 2 Steve Coile 2001-11-16 14:35:32 EST
No messages written to $HOME/.xsession-errors or recorded by syslog.
Comment 3 Steve Coile 2001-11-16 14:40:40 EST
Killed automounter, but problem persists.
Comment 4 Steve Coile 2001-11-16 15:14:41 EST
Selected Preferences -> Peripherals -> CD Properties, disabled everything,
clicked "OK", restarted gtcd, problem persists.
Comment 5 Havoc Pennington 2002-02-12 19:14:12 EST
I don't see a reason to suspect magicdev/gtcd/cdapplet vs. hardware/driver
issues, since there have been no other reports of this, and the gnome apps have
not really changed from 7.1 to 7.2.
Comment 6 Martin Wilck 2002-05-22 08:21:02 EDT
I have had this problem, too.

It seems to have something to do with the interaction of CD player application
and kernel. According to my experience it happens only IDE CD-ROMS driven
through ide-scsi (perhaps also with "real" SCSI CD-ROMS), i.e. typically
CD writers.

I noticed that some CD player apps (cdp, KDE CD player) work fine, while others
(Gnome CD player, Loki games) don't. An strace shows that the apps that don't
work read the TOC continuously (for whatever reason). The ide-cd driver caches
the TOC info in a kernel data structure and returns it without bothering the
player. If ide-scsi is used, however, the TOC is read from drive through a SCSI
command at every request, which in turn stops the playback. 

The apps that do work read the TOC only once before starting the playback
(sounds reasonable, no?).

Comment 7 Arjan van de Ven 2002-06-04 09:59:27 EDT
If it depends BOTH on the player AND the use of ide-scsi that would explain why
we couldn't reproduce this ;(

The explenation sounds reasonable; and I think the players ought to be fixed...
Comment 8 Bugzilla owner 2004-09-30 11:39:16 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.